---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVirtualThreadStartTest.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xFF0, symBinAddr: 0xB90, symSize: 0x180 }
  - { offsetInCU: 0x9F, offset: 0x9F, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x20528, symBinAddr: 0x3088, symSize: 0x0 }
  - { offsetInCU: 0x28C, offset: 0x28C, size: 0x8, addend: 0x0, symName: __ZL16agent_event_lock, symObjAddr: 0x20510, symBinAddr: 0x3070, symSize: 0x0 }
  - { offsetInCU: 0x2BB, offset: 0x2BB, size: 0x8, addend: 0x0, symName: __ZL22can_support_vt_enabled, symObjAddr: 0x20518, symBinAddr: 0x3078, symSize: 0x0 }
  - { offsetInCU: 0x2E2, offset: 0x2E2, size: 0x8, addend: 0x0, symName: __ZL18started_thread_cnt, symObjAddr: 0x2051C, symBinAddr: 0x307C, symSize: 0x0 }
  - { offsetInCU: 0x302, offset: 0x302, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x20520, symBinAddr: 0x3080, symSize: 0x0 }
  - { offsetInCU: 0x9762, offset: 0x9762, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x980, symSize: 0x30 }
  - { offsetInCU: 0x9BFF, offset: 0x9BFF, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xE10, symBinAddr: 0x9B0, symSize: 0x1E0 }
  - { offsetInCU: 0xA06E, offset: 0xA06E, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1170, symBinAddr: 0xD10, symSize: 0x70 }
  - { offsetInCU: 0xA173, offset: 0xA173, size: 0x8, addend: 0x0, symName: _VirtualThreadStart, symObjAddr: 0x11E0, symBinAddr: 0xD80, symSize: 0x1F0 }
  - { offsetInCU: 0xA5EF, offset: 0xA5EF, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_canSupportVirtualThreads, symObjAddr: 0x13D0, symBinAddr: 0xF70, symSize: 0x40 }
  - { offsetInCU: 0xA634, offset: 0xA634, size: 0x8, addend: 0x0, symName: _Java_VirtualThreadStartTest_getAndResetStartedThreads, symObjAddr: 0x1410, symBinAddr: 0xFB0, symSize: 0xF0 }
  - { offsetInCU: 0xA8F5, offset: 0xA8F5, size: 0x8, addend: 0x0, symName: _agent_init, symObjAddr: 0x1500, symBinAddr: 0x10A0, symSize: 0x200 }
  - { offsetInCU: 0xAB7D, offset: 0xAB7D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1700, symBinAddr: 0x12A0, symSize: 0x40 }
  - { offsetInCU: 0xABEB, offset: 0xABEB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1740, symBinAddr: 0x12E0, symSize: 0x40 }
...
